#include <iostream>

using namespace std;

int main()
{
    int a, b, x, y;
    cin >> a >> b;
    cin >> x >> y;

    if(x == a)
    {
        if(y == b)
            cout << "nijedan";
        else
            cout << "drugi";
    }

    else if(y == b)
        cout << "prvi";
    else
        cout << "?";
}